Summary: Multitech Intelligent Serial Internal (ISI) support tools.
Name: isicom
Version: 3.05
Release: 3
License: GPL (not Firmware)
Group: Applications/System
URL: http://www.multitech.com/
Source: L305_22X_24X.tar.bz2
Source1: isicom.init
Patch0: isicom-3.05-cleaned-up-targets.patch
ExcludeArch: s390 s390x
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The isicom package contains the binary images and loader for
Multi-Tech Systems Intelligent Serial Interface(TM) (ISI) data
files. Multi-Tech ISI multiport serial cards provide additional serial
ports for remote access servers, multi-user hosts and PCs. The isicom
package contains the files needed to use an ISI card with a Linux
system.

%prep
%setup -n isicom_3.05
%patch0 -p1 -b .mkefile-cleanup

%build
make clean
make firmld

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{share/isicom,sbin}
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -s -m 755 firmld $RPM_BUILD_ROOT/usr/sbin
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/isicom
install -m 644 *.bin $RPM_BUILD_ROOT/usr/share/isicom

%clean
rm -rf $RPM_BUILD_ROOT


%post 
if [ $1 = 1 ]; then
    /sbin/chkconfig --add isicom
fi

%preun 
if [ $1 = 0 ]; then
    /sbin/chkconfig --del isicom
fi


%files
%defattr(-, root, root,0755)
/etc/rc.d/init.d/isicom
/usr/sbin/firmld
%dir /usr/share/isicom
/usr/share/isicom/*.bin

%changelog
* Wed Mar 20 2002 Trond Eivind Glomsrd <teg@redhat.com> 3.05-3
- Fix initscript permissions (was unexecutable)
- Use chkconfig to add/remove initscript, make sure the
  latter doesn't think it should run by default
- Mark the string in the initscript for i18n

* Tue Feb 26 2002 Mike A. Harris <mharris@redhat.com> 3.05-2
- Rebuilt in new build environment

* Fri Dec 21 2001 Mike A. Harris <mharris@redhat.com> 3.05-1
- Updated isicom to version 3.05
- Fixed up Makefile patch
- Added initscript for isicom from bug (#54343)

* Tue Jul 10 2001 Tim Powers <timp@redhat.com>
- fixed non-standard dir perms on /usr/share/isicom

* Mon Jul  9 2001 Mike A. Harris <mharris@redhat.com> 1.0-7
- s/Copyright/License/ and fix buildroot dir
- Made package own directory: /usr/share/isicom

* Tue Jun 19 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add ExcludeArch: s390 s390x

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 18 2000 Matt Wilson <msw@redhat.com>
- rebuild for next release

* Tue Mar  7 2000 Jeff Johnson <jbj@redhat.com>
- rebuild for sparc baud rates > 38400.

* Mon Sep 13 1999 Bill Nottingham <notting@redhat.com>
- strip binary

* Fri Mar 26 1999 Cristian Gafton <gafton@redhat.com>
- sanitized the spec file
